Bug 919500 - Add anaconda-realmd addon by default
Summary: Add anaconda-realmd addon by default
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 874450
TreeView+ depends on / blocked
 
Reported: 2013-03-08 16:34 UTC by Stef Walter
Modified: 2014-03-17 03:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-06 12:17:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Stef Walter 2013-03-08 16:34:26 UTC
This Fedora Feature is about using realmd from Anaconda. The Anaconda developers have requested that for maintenance reasons this code live in an addon. 

However that addon needs to be included in the release and enabled by default in (almost?) all spins in order for this to be a coherent feature of Fedora.

https://fedoraproject.org/wiki/Features/AnacondaRealmIntegration

Will attach a patch to comps. I do believe I've added this to the right section. I'll be happy to adapt as necessary.

Comment 1 Fedora End Of Life 2013-04-03 16:34:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Bill Nottingham 2013-04-30 20:20:35 UTC
No patch?

Comment 3 Stef Walter 2013-05-03 19:32:16 UTC
This just in... :)

Another approach has been (almost) been taken by the Anaconda guys. I think that removes the need for this package. Vratislav, can you confirm? Have the patches landed in anaconda directly yet?

Bill, sorry for the noise. I think I'll close this shortly.

Comment 4 Vratislav Podzimek 2013-05-06 10:49:53 UTC
(In reply to comment #3)
> This just in... :)
> 
> Another approach has been (almost) been taken by the Anaconda guys. I think
> that removes the need for this package. Vratislav, can you confirm? Have the
> patches landed in anaconda directly yet?
The patches haven't landed yet because I'm not sure if the discussion about them is finished yet or not. Nevertheless, the approach was confirmed to be the right one so the changes requested in this bug report won't be needed. At least not for the kickstart support which is the current goal.


Note You need to log in before you can comment on or make changes to this bug.